.\" Copyright (c) 1996
.\"	Mike Pritchard <mpp@FreeBSD.org>.  All rights reserved.
.\"
.\" Copyright (c) 1992, 1993, 1994
.\"	The Regents of the University of California.  All rights reserved.
.\" All rights reserved.
.\"
.\" This code is derived from software donated to Berkeley by
.\" Jan-Simon Pendry.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. All advertising materials mentioning features or use of this software
.\"    must display the following acknowledgement:
.\"	This product includes software developed by the University of
.\"	California, Berkeley and its contributors.
.\" 4. Neither the name of the University nor the names of its contributors
.\"    may be used to endorse or promote products derived from this software
.\"    without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.\" $FreeBSD: src/share/man/man5/devfs.5,v 1.2.2.3 1999/09/05 11:27:06 peter Exp $
.\"
.Dd December 14, 1996
.Dt devfs 5
.Os FreeBSD 2.2
.Sh NAME
.Nm devfs
.Nd device file system
.Sh SYNOPSIS
devfs	/devs	devfs rw 0 0
.Sh DESCRIPTION
The device file system, or
.Nm devfs ,
provides access to kernel's device 
namespace in the global filesystem namespace.
The conventional mount point is
.Pa /devs .
.Pp
The filesystem includes several directories, links, symbolic links
and devices, some of which can also be written.  In a chroot'ed
environment,
.Nm
can be used to create a new
.Pa /devs
mount point.
.Sh FILES
.Bl -tag -width /devs/XXXX -compact
.It Pa /devs
The normal
.Nm 
mount point.
.El
.Sh SEE ALSO
.Xr mount_devfs 8
.Sh HISTORY
The
.Nm 
filesystem first appeared in
.Fx 2.0 .
The
.Nm
manual page first appeared in 
.Fx 2.2 .
.Sh AUTHORS
The 
.Nm
manual page was written by
.An Mike Pritchard Aq mpp@FreeBSD.org ,
and was based on the 
.Xr mount_devfs 8
manual page.
